Redmine - Feature #33037

Support for Gitlab flavored Markdown
2020-02-21 09:34 - Hans Riekehof

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version:

Resolution: Fixed

Description

Its great to see that Redmine also supports markdown in the meantime. However in the current version 4.1 the Markdown Features
are quite limited.

Its missing some basics things like scaling pictures, and some more advanced things like *““math blocks which would render inline
Latex.

It would be great if Redmine would include something like kramdown or GitLab Flavored Markdown

Would this be possible to include ? Both projects are already available as ruby gems. That fits good.

Related issues:
Related to Redmine - Feature #32424: CommonMark Markdown Text Formatting Closed

History

#1 - 2020-02-21 14:43 - Go MAEDA
- Related to Feature #32424: CommonMark Markdown Text Formatting added

#2 - 2020-05-02 16:19 - Thorsten Jéager

+1

WIKI has become a strategic Element for us. Particular as it's tightly integrated (issue/version linking). MARKDOWN is our Teams common "Doc
language".

We also export WIKI Articles as TXT (in Markdown) to re-use them in markdown based Documentation. The redcarpet gem for MD isn't up to date in
terms of support eg image scaling or notification boxes.

Reference: https:/github.com/gjtorikian/commonmarker

#3 - 2021-08-15 12:10 - Marius BALTEANU
- Status changed from New to Closed

- Resolution set to Fixed

We have just introduced "CommonMark Markdown (Github Flavored)" for Redmine 5.0.0. Please take a look on it (#32424) and open new issues for
the missing features. I'm closing this as fixed because | think we covered the request to support a more modern parser.
https://kramdown.gettalong.org/documentation.html
https://gitlab.com/gitlab-org/gitlab-markup
https://github.com/gjtorikian/commonmarker
https://www.redmine.org/versions/155
https://www.redmine.org/issues/32424
http://www.tcpdf.org

